/* MoreBalance includes */
#include "sys.h"

/* System includes */
#include <netdb.h>
#include <netinet/in.h>
#include <stdlib.h>
#include <string.h>

/* Return the port number of this service */
int sys_port(const char *service)
{
	struct servent *serv;

	if(!service) return 0;

	serv = getservbyname(service, "tcp");

	if(serv)
	{
		if(!serv->s_port) return 0;
		return ntohs(serv->s_port);
	}

	return atoi(service);
}

int sys_portoptions(const char *service)
{
	char *token, *tmp;
	int options;

	options = 0;

	tmp = strdup(service);
	token = strtok(tmp, ":");
	while(token)
	{
		token = strtok(NULL, ":");
		if((token) && (!strcmp(token, "tls"))) options |= 1;
		if((token) && (!strcmp(token, "tlsv1"))) options |= 1;
	}
	free(tmp);

	return options;
}

